[Numpy-discussion] Segmentation Fault with Numeric 24.2 on Mac OS X 10.4 Tiger (8.7.0)

Hanno Klemm klemm at phys.ethz.ch
Thu Aug 10 11:50:38 CDT 2006


Hi Daran,

I fortunately never had the need to run different versions in
parallel, so I basically removed the earlier versions of numpy.
However, as you possibly know, you can build wrapper functions for
fortran code with f2py (which is now shipped with numpy). And that is
where I got the segfault behaviour: I had a module compiled for numpy
0.9.6 and then tried to use it with numpy 1.0b. 

Therefore I thought if you have similar stuff running on your machine
that might be a reason. The obvious solution is to recompile the
fortran code with the newer version of f2py. But fom what you write,
your problem seems to be different.

Regards,
Hanno


"Daran L. Rife" <drife at ucar.edu> said:

> Hi Hanno,
> 
> > I had a similar behaviour when I tried to use module compield with an
> > older f2py with a newer version of numpy. So is it maybe possible that
> > some *.so files are used from an earlier build?
> 
> 
> Many thanks for the reply. This was my first attempt
> to build and use numpy; I have no previous version.
> May I ask how you specificlly solved the problem
> on your machine?
> 
> Thanks,
> 
> Daran
> 
> --
> 
> 



-- 
Hanno Klemm
klemm at phys.ethz.ch






More information about the Numpy-discussion mailing list